#pragma once
#include <map>
struct M_ActivitySummerPlanRoketCFGData
{
	//ID
	int mID;
	//高度
	int mHeight;
	//对应礼包ID
	int mGiftID;
	//权重
	int mWeight;
	//展示道具
	std::vector<int> mShowItem;
};

class M_ActivitySummerPlanRoketCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerPlanRoketCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerPlanRoketCFGData* GetData(int ID);
	const std::map<int, M_ActivitySummerPlanRoketCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivitySummerPlanRoketCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivitySummerPlanRoketCFGData> mMapData;
};
